<?php

namespace App\Classes\Modules\Rules\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class CheckEInvoiceRuleDTO implements DataTransferObject
{
    public int $companyId;

    public function __construct(array $data)
    {
        $this->companyId = $data['company_id'];
    }

    public function toArray(): array
    {
        return [
            'company_id' => $this->companyId,
        ];
    }
}
